Main Page Widgets Namespaces Book

# Gdk::Bitmap Class Reference

Inheritance diagram for Gdk::Bitmap:

[legend]
List of all members.

## Static Public Methods

Glib::RefPtr<Bitmap> | create (const char* data, int width, int height)
Glib::RefPtr<Bitmap> | create (const Glib::RefPtr<Window>& window, const char* data, int width, int height)

## Protected Methods

| Bitmap (const char* data, int width, int height)
| Bitmap (const Glib::RefPtr<Window>& window, const char* data, int width, int height)

## Constructor & Destructor Documentation

Gdk::Bitmap::Bitmap | ( | const char* | data,
|  | int | width,
|  | int | height
| ) | `[protected]`

Gdk::Bitmap::Bitmap | ( | const Glib::RefPtr<Window>& | window,
|  | const char* | data,
|  | int | width,
|  | int | height
| ) | `[protected]`

## Member Function Documentation

Glib::RefPtr<Bitmap> Gdk::Bitmap::create | ( | const Glib::RefPtr<Window>& | window,
|  | const char* | data,
|  | int | width,
|  | int | height
| ) | `[static]`

Glib::RefPtr<Bitmap> Gdk::Bitmap::create | ( | const char* | data,
|  | int | width,
|  | int | height
| ) | `[static]`

The documentation for this class was generated from the following file:

- bitmap.h